Professional Web Applications Themes

Problems installing IPC::Run on Mac OS X 10.3.5 - PERL Beginners

Hello! I'm having some difficulty installing IPC::Run on Mac OS X 10.3.5. perl -v returns This is perl, v5.8.1-RC3 built for darwin-thread-multi-2level (with 1 registered patch, see perl -V for more detail) Interested parties can find perl -V output at the end of this email. I'm using CPANPLUS to install IPC::Run and get the following error (truncated a bit for clarity): ------ <snip /> t/run..............# Test 1 got: '012-----89--' (t/run.t at line 160) # Expected: '012-----8---' # t/run.t line 160 is: sub { ok( _map_fds, $fd_map ) ; $fd_map = _map_fds }, FAILED test 1 Failed 1/266 tests, 99.62% okay ...

  1. #1

    Default Problems installing IPC::Run on Mac OS X 10.3.5

    Hello! I'm having some difficulty installing IPC::Run on Mac OS X
    10.3.5.
    perl -v returns

    This is perl, v5.8.1-RC3 built for darwin-thread-multi-2level
    (with 1 registered patch, see perl -V for more detail)

    Interested parties can find perl -V output at the end of this email.

    I'm using CPANPLUS to install IPC::Run and get the following error
    (truncated a bit for clarity):

    ------
    <snip />

    t/run..............# Test 1 got: '012-----89--' (t/run.t at line 160)
    # Expected: '012-----8---'
    # t/run.t line 160 is: sub { ok( _map_fds, $fd_map ) ; $fd_map =
    _map_fds },
    FAILED test 1
    Failed 1/266 tests, 99.62% okay
    <snip />
    Failed Test Stat Wstat Total Fail Failed List of Failed
    ------------------------------------------------------------------------
    -------
    t/run.t 266 1 0.38% 1
    (1 subtest UNEXPECTEDLY SUCCEEDED), 61 subtests skipped.
    Failed 1/15 test scripts, 93.33% okay. 1/703 subtests failed, 99.86%
    okay.
    make: *** [test_dynamic] Error 45
    MAKE TEST failed! - in CPANPLUS::Internals::Make::_make at Tue Oct 5
    09:52:37 2004 at /Library/Perl/5.8.1/CPANPLUS/Internals/Make.pm line
    503
    An error occurred handling module IPC::Run in
    CPANPLUS::Internals::Install::_install_module at Tue Oct 5 09:52:37
    2004 at /Library/Perl/5.8.1/CPANPLUS/Internals/Install.pm line 170
    Installing IPC::Run failed! in CPANPLUS::Backend::install at Tue Oct 5
    09:52:37 2004 at /Library/Perl/5.8.1/CPANPLUS/Backend.pm line 255
    Error installed IPC::Run
    Problem installed one or more modules
    *** You can view the complete error buffer by pressing 'p' ***
    CPAN Terminal> p
    Could not find or check module 'IPC::Run' in
    CPANPLUS::Internals::_can_use at Tue Oct 5 09:52:13 2004
    Could not find or check module 'IPC::Run' in
    CPANPLUS::Internals::_can_use at Tue Oct 5 09:52:14 2004
    Could not find or check module 'IPC::Run' in
    CPANPLUS::Internals::_can_use at Tue Oct 5 09:52:16 2004
    Use of uninitialized value in concatenation (.) or string at t/pty.t
    line 256. in CPANPLUS::Internals::__ANON__ at Tue Oct 5 09:52:22 2004
    Use of uninitialized value in concatenation (.) or string at t/pty.t
    line 257. in CPANPLUS::Internals::__ANON__ at Tue Oct 5 09:52:22 2004
    # Test 1 got: '012-----89--' (t/run.t at line 160) in
    CPANPLUS::Internals::__ANON__ at Tue Oct 5 09:52:23 2004
    # Expected: '012-----8---' in CPANPLUS::Internals::__ANON__ at Tue
    Oct 5 09:52:23 2004
    # t/run.t line 160 is: sub { ok( _map_fds, $fd_map ) ; $fd_map =
    _map_fds }, in CPANPLUS::Internals::__ANON__ at Tue Oct 5 09:52:23
    2004
    v-strings are deprecated at (eval 1) line 1. in
    CPANPLUS::Internals::__ANON__ at Tue Oct 5 09:52:37 2004
    v-string in use/require non-portable at (eval 1) line 3. in
    CPANPLUS::Internals::__ANON__ at Tue Oct 5 09:52:37 2004
    Failed 1/15 test scripts, 93.33% okay. 1/703 subtests failed, 99.86%
    okay. in CPANPLUS::Internals::__ANON__ at Tue Oct 5 09:52:37 2004
    make: *** [test_dynamic] Error 45 in CPANPLUS::Internals::__ANON__ at
    Tue Oct 5 09:52:37 2004
    MAKE TEST failed! - in CPANPLUS::Internals::Make::_make at Tue Oct 5
    09:52:37 2004
    An error occurred handling module IPC::Run in
    CPANPLUS::Internals::Install::_install_module at Tue Oct 5 09:52:37
    2004
    Installing IPC::Run failed! in CPANPLUS::Backend::install at Tue Oct 5
    09:52:37 2004
    Stack printed successfully
    -----

    Googling hasn't revealed much other than a report of the same failure
    on perl.cpan.testers with, unfortunately, no solution. I get the same
    t/run.t error installing via CPAN as well. Any ideas or suggestions? It
    seems that IPC::Run to install other modules I'm interested in using.

    Thanks for any and all assistance.

    Michael

    $ perl -V
    Summary of my perl5 (revision 5.0 version 8 subversion 1 RC3)
    configuration:
    Platform:
    osname=darwin, osvers=7.0, archname=darwin-thread-multi-2level
    uname='darwin hampsten 7.0 darwin kernel version 6.0: fri jul 25
    16:58:41 pdt 2003;
    root:xnu-344.frankd.rootsxnu-344.frankd~objrelease_ppc power macintosh
    powerpc '
    config_args='-ds -e -Dprefix=/usr -Dccflags=-g -pipe
    -Dldflags=-Dman3ext=3pm -Duseithreads -Duseshrplib'
    hint=recommended, useposix=true, d_sigaction=define
    usethreads=define use5005threads=undef useithreads=define
    usemultiplicity=define
    useperlio=define d_sfio=undef uselargefiles=define usesocks=undef
    use64bitint=undef use64bitall=undef uselongdouble=undef
    usemymalloc=n, bincompat5005=undef
    Compiler:
    cc='cc', ccflags ='-g -pipe -pipe -fno-common -DPERL_DARWIN
    -no-cpp-precomp -fno-strict-aliasing -I/usr/local/include',
    optimize='-Os',
    cppflags='-no-cpp-precomp -g -pipe -pipe -fno-common -DPERL_DARWIN
    -no-cpp-precomp -fno-strict-aliasing -I/usr/local/include'
    ccversion='', gccversion='3.3 20030304 (Apple Computer, Inc. build
    1495)', gccosandvers=''
    intsize=4, longsize=4, ptrsize=4, doublesize=8, byteorder=4321
    d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=8
    ivtype='long', ivsize=4, nvtype='double', nvsize=8, Off_t='off_t',
    lseeksize=8
    alignbytes=8, prototype=define
    Linker and Libraries:
    ld='env MACOSX_DEPLOYMENT_TARGET=10.3 cc', ldflags
    ='-L/usr/local/lib'
    libpth=/usr/local/lib /usr/lib
    libs=-ldbm -ldl -lm -lc
    perllibs=-ldl -lm -lc
    libc=/usr/lib/libc.dylib, so=dylib, useshrplib=true,
    libperl=libperl.dylib
    gnulibc_version=''
    Dynamic Linking:
    dlsrc=dl_dyld.xs, dlext=bundle, d_dlsymun=undef, ccdlflags=' '
    cccdlflags=' ', lddlflags='-bundle -undefined dynamic_lookup
    -L/usr/local/lib'


    Characteristics of this binary (from libperl):
    Compile-time options: MULTIPLICITY USE_ITHREADS USE_LARGE_FILES
    PERL_IMPLICIT_CONTEXT
    Locally applied patches:
    RC3
    Built under darwin
    Compiled at Sep 12 2003 19:50:49
    %ENV:
    PERL5LIB="/sw/lib/perl5"
    INC:
    /sw/lib/perl5
    /System/Library/Perl/5.8.1/darwin-thread-multi-2level
    /System/Library/Perl/5.8.1
    /Library/Perl/5.8.1/darwin-thread-multi-2level
    /Library/Perl/5.8.1
    /Library/Perl
    /Network/Library/Perl/5.8.1/darwin-thread-multi-2level
    /Network/Library/Perl/5.8.1
    /Network/Library/Perl
    Michael Guest

  2. #2

    Default Re: Problems installing IPC::Run on Mac OS X 10.3.5


    >
    > As no one at org has responded to my post, perhaps this
    > isn't the appropriate mailing list for this question. Could someone
    > suggest a more appropriate forum? I'd very much appreciate it.
    >
    > Thanks!
    >
    > Michael
    >
    >[/ref]

    org might turn up more responders,
    http://lists.perl.org/showlist.cgi?name=macosx

    It appeared from the output that a test that should fail didn't. You
    might check that specific test and see if you care, it might be safe to
    force install if all the other tests succeed. Of course whenever force
    installing a module you should heavily test that your code doesn't
    tickle the issue.

    Given enough time I will take a look and see if I can figure out what
    the test is testing and why it might or might not fail given a
    particular platform. This might be a case were the test should be
    skipped on some platforms.

    http://danconia.org
    Wiggins Guest

  3. #3

    Default Re: Problems installing IPC::Run on Mac OS X 10.3.5


    On Oct 7, 2004, at 4:02 AM, Wiggins d Anconia wrote:
     

    Thank you. I'll try there next.
     

    Interesting. I hadn't noticed that before, but now that you point it
    out, UNEXPECTEDLY SUCCEEDED is pretty clear, isn't it :)
     

    Indeed. As I'm just starting out, I haven't felt confident about
    forcing installation of modules that don't install right off.
     

    Thank you. Also, when I find a solution, I'll be sure to post it back
    to org as well.

    Thanks for taking the time to respond! I'm one step further along the
    Path to Perldom.

    Cheers,

    Michael Glaesemann
    grzm myrealbox com

    Michael Guest

Similar Threads

  1. Installing Problems
    By Tim_W_J_Andrew@adobeforums.com in forum Macromedia Shockwave
    Replies: 20
    Last Post: March 15th, 07:07 PM
  2. Problems installing GD.pm
    By Ian Fox in forum PERL Modules
    Replies: 5
    Last Post: May 30th, 10:20 PM
  3. Problems installing full version after installing 'trial' version....
    By Curtis_Thorburn@adobeforums.com in forum Adobe Photoshop 7, CS, CS2 & CS3
    Replies: 5
    Last Post: October 6th, 08:40 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  

1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139